Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Interface MessageAware

All Known Implementing Classes:
  MimePartDataSource

public interface MessageAware

An interface optionally implemented by `DataSources` to supply information to a `DataContentHandler` about the message context in which the data content object is operating.

Since:
  JavaMail 1.1
See Also:
  `MessageContext`, `DataSource`, `DataContentHandler`

Method Summary
`MessageContext` | `getMessageContext()` Return the message context.

Method Detail

### getMessageContext

    public MessageContext getMessageContext()

  Return the message context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD